%global momorel 8

Summary: Open Fingerprint Architecture library
Name: libofa
Version: 0.9.3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.musicip.com/dns/
Group: System Environment/Libraries
Source0: http://www.musicip.com/dns/files/%{name}-%{version}.tar.gz 
NoSource: 0
Patch1: %{name}-%{version}-gcc41.patch
# Use Libs.private
Patch2: %{name}-%{version}-pkgconfig.patch
Patch3: libofa-0.9.3-gcc43.patch
Patch4: libofa-0.9.3-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	findutils
BuildRequires:	pkgconfig sed
BuildRequires:	fftw-devel 
# these are used only in the examples.
BuildRequires:	curl-devel
BuildRequires:	expat-devel

%description
Currently, MusicDNS and the Open Fingerprint Architecture are being used to:
* identify duplicate tracks, even when the metadata is different, MusicIP
  identifies the master recording.
* fix metadata
* find out more about tracks by connecting to MusicBrainz

%package devel
Summary: Header files and static libraries from libofa
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libedit.

%prep
%setup -q

# for patches
find . -name README -or -name \*.cpp -or -name \*.h | xargs --no-run-if-empty sed -i -e 's|\r||'  ||:

%patch1 -p1 -b .gcc41
%patch2 -p1 -b .pkgconfig

%patch3 -p1 -b .gcc43~
%patch4 -p1 -b .gcc44~

%build
autoreconf -fi
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libofa.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/ofa1
%{_libdir}/pkgconfig/libofa.pc
%{_libdir}/libofa.a
%{_libdir}/libofa.so

%changelog
* Sun May 24 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.3-8m)
- add autoreconf

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.3-7m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.3-6m)
- rebuild against rpm-4.6

* Sun May 18 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.3-5m)
- revise spec
- revise patch2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.3-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3-3m)
- %%NoSource -> NoSource

* Sat Jan 12 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.3-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-1m)
- initial package for libtunepimp-0.5.3 
- import pkgconfig.patch and gcc41.patch from Fedora Extras
 +* Thu Sep 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-8
 +- better pkgconfig patch, using Libs.private
 +* Mon Sep 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-2
 +- gcc41 patch
